############################ -*- Mode: Makefile -*- ###########################
## local.mk --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Sat Nov 15 10:42:10 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Jan 19 12:02:25 2005
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 19
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: b07b1015-30ba-4b46-915f-78c776a808f4
## 
###############################################################################

testdir:
	$(testdir)

CONFIG-common:: stamp-conf/flex-old

BUILD/flex-old:: build/flex-old
INST/flex-old:: install/flex-old
BIN/flex-old:: binary/flex-old

BUILD/flex-old-doc:: build/flex-old-doc
INST/flex-old-doc:: install/flex-old-doc
BIN/flex-old-doc:: binary/flex-old-doc

CLN-common::
	$(REASON)
	$(MAKE) clean -C po || true

CLEAN/flex-old::
	-rm -rf $(TMPTOP)

CLEAN/flex-old-doc::
	-rm -rf $(TMPTOP)

stamp-conf/flex-old:
	$(checkdir)
	$(REASON)
	ac_cv_lib_util_getloadavg=no ./configure   --verbose               \
                --prefix=$(PREFIX) $(confflags) && touch stamp-conf

STAMPS_TO_CLEAN += stamp-conf

build/flex-old:
	$(checkdir)
	$(REASON)
	bash -n debian/doc.postinst
	bash -n debian/doc.postrm
	bash -n debian/doc.prerm
	bash -n debian/postinst
	bash -n debian/prerm
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	$(MAKE) -C po
	$(MAKE) check
	touch stamp-build-flex-old

STAMPS_TO_CLEAN += stamp-build-flex-old

build/flex-old-doc:
	$(checkdir)
	$(REASON)
	test -d debian/html || mkdir debian/html
	(cd debian/html; \
	 texi2html -doctype html2 -expandinfo -glossary -menu \
	           -split_chapter -o . -verbose  \
                                        ../../MISC/texinfo/flex.texi)
	touch stamp-build-flex-old-doc

STAMPS_TO_CLEAN += stamp-build-flex-old-doc

install/flex-old-doc: testroot
	$(checkdir)
	$(REASON)
	rm -rf              $(TMPTOP)
	$(make_directory)   $(TMPTOP)
	$(make_directory)   $(DOCDIR)
	$(make_directory)   $(MENUDIR)
	$(make_directory)   $(DOCBASEDIR)
	$(install_file)     README                  $(DOCDIR)/README
	$(install_file)     NEWS                    $(DOCDIR)/NEWS
	$(install_file)     debian/changelog        $(DOCDIR)/changelog.Debian
	gzip -9fqr          $(DOCDIR)/
# Make sure the copyright file is not compressed
	$(install_file)     debian/copyright        $(DOCDIR)/copyright
	$(install_file)     debian/html/flex_*.html $(DOCDIR)/
	ln -s 		  flex_toc.html           $(DOCDIR)/index.html;
	ln -s               NEWS.gz                 $(DOCDIR)/changelog.gz 
	$(install_file)     debian/menuentry        $(MENUDIR)/$(package)
	$(install_file)     debian/docentry         $(DOCBASEDIR)/$(package)

install/flex-old: testroot
	$(checkdir)
	$(REASON)
	rm -rf               $(TMPTOP)
	$(make_directory)    $(TMPTOP)
	$(make_directory)    $(BINDIR)
	$(make_directory)    $(LIBDIR)
	$(make_directory)    $(INFODIR)
	$(make_directory)    $(MAN1DIR)
	$(make_directory)    $(DOCDIR)
	$(make_directory)    $(LINTIANDIR)
	echo 'flex-old: description-synopsis-might-not-be-phrased-properly'>> \
                              $(LINTIANDIR)/$(package)
	$(MAKE)              $(INT_INSTALL_TARGET)  prefix=$(TMPTOP)/usr \
	                     infodir=$(INFODIR)     mandir=$(MAN1DIR)    \
                              INSTALL_PROGRAM="$(install_program)"
	$(MAKE) install      -C po                  prefix=$(TMPTOP)/usr
	(cd MISC/texinfo &&  makeinfo               --no-split flex.texi;)
	$(install_file)      MISC/texinfo/flex.info $(INFODIR)
	$(install_file)      README                 $(DOCDIR)/README
	$(install_file)      NEWS                   $(DOCDIR)/NEWS
	$(install_file)      debian/changelog       $(DOCDIR)/changelog.Debian
	gzip -9frq           $(DOCDIR)/
# Make sure the copyright file is not compressed
	$(install_file)      debian/copyright       $(DOCDIR)/copyright
	gzip -9fqr           $(MANDIR)/
	gzip -9fq            $(INFODIR)/flex.info*
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	find $(TMPTOP) -type f | while read i; do                                        \
           if file -b $$i | egrep -q "^ELF.*executable"; then                             \
             strip --strip-all --remove-section=.comment --remove-section=.note $$i;      \
           fi;                                                                            \
         done
	find $(TMPTOP) -type f | while read i; do                                        \
           if file -b $$i | egrep -q "^ELF.*shared object"; then                          \
             strip --strip-unneeded --remove-section=.comment --remove-section=.note $$i; \
           fi;                                                                            \
         done
endif
	ln -s 	             NEWS.gz               $(DOCDIR)/changelog.gz
	ln -s                flex.1.gz              $(MAN1DIR)/lex.1.gz
	ln -s                flex.1.gz              $(MAN1DIR)/flex++.1.gz
	ln -s                flex                   $(BINDIR)/lex
	ln -s                libfl.a                $(LIBDIR)/libl.a

binary/flex-old-doc: testroot
	$(checkdir)
	$(REASON)
	$(make_directory)   $(TMPTOP)/DEBIAN
	$(install_script)    debian/doc.postinst     $(TMPTOP)/DEBIAN/postinst
	$(install_script)    debian/doc.postrm       $(TMPTOP)/DEBIAN/postrm
	$(install_script)    debian/doc.prerm        $(TMPTOP)/DEBIAN/prerm
	dpkg-gencontrol      -p$(package) -isp       -P$(TMPTOP)
	chown -R root:root   $(TMPTOP)
	chmod -R u+w,go=rX   $(TMPTOP)
	dpkg --build         $(TMPTOP) ..

binary/flex-old: testroot
	$(checkdir)
	$(REASON)
	$(make_directory)    $(TMPTOP)/DEBIAN
	$(install_script)    debian/postinst        $(TMPTOP)/DEBIAN/postinst
	$(install_script)    debian/prerm           $(TMPTOP)/DEBIAN/prerm
	k=`find $(TMPTOP) -type f | ( while read i; do          \
            if file -b $$i | egrep -q "^ELF.*executable.*dynamically linked" ; then   \
                j="$$j $$i";                                     \
            fi;                                                  \
         done; echo $$j; )`; dpkg-shlibdeps $$k
	dpkg-gencontrol      -p$(package) -isp      -P$(TMPTOP)
	chmod -R u+w,go=rX   $(TMPTOP)
	dpkg --build         $(TMPTOP) ..
